## org.eclipse.emf.compare.team.subversive
Class SubversiveTeamHandler

    java.lang.Object
      org.eclipse.emf.compare.ui.team.AbstractTeamHandler
          org.eclipse.emf.compare.team.subversive.SubversiveTeamHandler

    public class SubversiveTeamHandler

extends AbstractTeamHandler

This class will handle the specific parts of loading resources for a comparison via subversive. We needed this in order to use subversive-specific classes to retrieve the exact URIs of the resource and not load them from streams (which wouldn't be mergeable).

Field Summary

Fields inherited from class org.eclipse.emf.compare.ui.team.AbstractTeamHandler
`ancestorResource, leftResource, rightResource`

Constructor Summary
`SubversiveTeamHandler()`

Method Summary
`boolean` `isLeftRemote()` This should be overriden to return `false` if the left loaded resource is local in order to enable the "copy right to left" merging actions.
`boolean` `loadResources(org.eclipse.compare.structuremergeviewer.ICompareInput input)` This will load the resources this `input` holds if possible.

Methods inherited from class org.eclipse.emf.compare.ui.team.AbstractTeamHandler
`getAncestorResource, getLeftResource, getRightResource, isRightRemote`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubversiveTeamHandler

    public SubversiveTeamHandler()

Method Detail

### isLeftRemote

    public boolean isLeftRemote()

  This should be overriden to return `false` if the left loaded resource is local in order to enable the "copy right to left" merging actions.

  Overrides:
    `isLeftRemote` in class `AbstractTeamHandler`
  Returns:
    `true` if the left loaded resource is remote, `false` if is is a local resource.
  See Also:
    `AbstractTeamHandler.isLeftRemote()`

### loadResources

    public boolean loadResources(org.eclipse.compare.structuremergeviewer.ICompareInput input)
                          throws java.io.IOException,
                                 org.eclipse.core.runtime.CoreException

  This will load the resources this `input` holds if possible.

  Implementing classes should load all three resources using the fields (left|right|ancestor)Resource. Resources need not be manually unloaded.

  If the returned value is `false`, we'll simply try another team handler.

  Specified by:
    `loadResources` in class `AbstractTeamHandler`
  Parameters:
    `input` - CompareInput which holds the resources to be loaded.
  Returns:
    `true` if the given models have been successfully loaded, `false` otherwise.
  Throws:
    `java.io.IOException` - Can be thrown if resource loading fails.
    `org.eclipse.core.runtime.CoreException` - Can be thrown if resource loading fails.
  See Also:
    `AbstractTeamHandler.loadResources(org.eclipse.compare.structuremergeviewer.ICompareInput)`

Copyright 2006 IBM Corporation and others. All Rights Reserved.